//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import Lottie from "primeobjects-ui-web-basic/build/cjs/controls/lottie";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
export var InProgress = function (props) {
    var _a, _b;
    var primaryColor = props.primaryColor, text = props.text;
    return (React.createElement("div", { className: "flex flex-row w-full items-center ".concat((_a = props.className) !== null && _a !== void 0 ? _a : ""), style: (_b = props.style) !== null && _b !== void 0 ? _b : {} },
        React.createElement("div", { className: "h-10 pl-5" },
            React.createElement(Lottie, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(primaryColor[500]) })),
        isNonEmptyString(text) && (React.createElement("div", { className: "flex-1 text-base text-".concat(primaryColor.name, "-500 p-2") }, text))));
};
//# sourceMappingURL=in-progress.js.map